/// <reference types="node" />
import { DataItemCreateOptions } from 'arseeding-arbundles-test';
import { InjectedArweaveSigner, InjectedEthereumSigner, Signer } from 'arseeding-arbundles-test/src/signing';
import EthereumSigner from 'arseeding-arbundles-test/src/signing/chains/ethereumSigner';
export interface Manifest {
    manifest: string;
    version: string;
    paths: Record<string, Record<'id', string>>;
    index?: Record<'path', string>;
}
export interface Config {
    signer: Signer;
    path: string;
    tag: string;
    arseedUrl: string;
    apiKey?: string;
    needSeq?: boolean;
}
export interface GenAPIReturn {
    signer: InjectedEthereumSigner;
    sendAndPay: (arseedingUrl: string, data: Buffer, tag: string, opts: DataItemCreateOptions, needSeq?: boolean, debug?: boolean) => Promise<{
        everHash?: string;
        order: any;
    }>;
}
export interface GenArweaveAPIReturn {
    signer: InjectedArweaveSigner;
    sendAndPay: (arseedingUrl: string, data: Buffer, tag: string, opts: DataItemCreateOptions, needSeq?: boolean, debug?: boolean) => Promise<{
        everHash?: string;
        order: any;
    }>;
}
export interface GenNodeAPIReturn {
    signer: EthereumSigner;
    sendAndPay: (arseedingUrl: string, data: Buffer, tag: string, opts: DataItemCreateOptions, debug?: boolean) => Promise<{
        everHash?: string;
        order: any;
    }>;
}
//# sourceMappingURL=types.d.ts.map